#pragma once

#include <memory>
#include <spdlog/spdlog.h>

namespace lumacs {

class Logger {
public:
    static void init();
    static std::shared_ptr<spdlog::logger> get();
};

} // namespace lumacs
